package org.ets.ibt.delivery.server.model.xmlparse;

import java.util.Iterator;
import java.util.List;
import org.ets.ibt.delivery.common.view.ToolbarButton;
import org.ets.ibt.delivery.server.common.componentdata.CompDataBase;
import org.ets.ibt.delivery.server.common.componentdata.NodeCompDataBase;
import org.ets.ibt.delivery.server.common.componentdata.PackageData;
import org.ets.ibt.delivery.server.common.exception.XMLParseException;
import org.ets.ibt.delivery.server.model.xmlparse.ParseXMLBase;
import org.ets.ibt.delivery.server.model.xmlparse.ParseXMLUtilities;
import org.ets.ibt.delivery.server.model.xmlparser.BtnIcon;
import org.ets.ibt.delivery.server.model.xmlparser.ChildComponentObject;
import org.ets.ibt.delivery.server.model.xmlparser.PkgComponentDataObject;

public class ParseXMLPackage extends ParseXMLBase {

   private static final long serialVersionUID = 9025702442546541924L;


   public static void main(String[] args) throws Exception {
      String xml = ParseXMLUtilities.readXMLFile("C:\\iBT\\pkgschema\\java\\xsd\\pkg.xml");
      ParseXMLPackage parse = new ParseXMLPackage("", xml);
      parse.parseXML(new PackageData());
   }

   public ParseXMLPackage(String pkgId, String xml) {
      super(pkgId, xml);
   }

   public void parseXML(NodeCompDataBase compData) throws XMLParseException {
      PkgComponentDataObject pkgXML = (PkgComponentDataObject)this.initial(this.getXML());
      PackageData pkgData = (PackageData)compData;
      pkgData.setTitle(pkgXML.getTitle());
      pkgData.setRestart(pkgXML.isRestartAllowedOnQuit());
      pkgData.setEtsLogoImageId(pkgXML.getEtsLogoGifId());
      pkgData.setVolumeSliderImagerId(pkgXML.getVolumeSliderGifId());
      pkgData.setVolumeSliderKnobImagerId(pkgXML.getVolumeSliderKnobGifId());
      BtnIcon uubButton = pkgXML.getUntimedUnschedBreakBtn();
      pkgData.setAdaBreakButton(this.constructButton(uubButton, ToolbarButton.ADA_BREAK));
      BtnIcon adjButton = pkgXML.getAdjustDisplayBtn();
      pkgData.setAdaOptionButton(this.constructButton(adjButton, ToolbarButton.ADA_OPTIONS));
      BtnIcon zoomUpButton = pkgXML.getIncreaseZoomLevelBtn();
      pkgData.setZoomLevelUpButton(this.constructButton(zoomUpButton, ToolbarButton.ZOOM_PLUS));
      BtnIcon zoomDownButton = pkgXML.getDecreaseZoomLevelBtn();
      pkgData.setZoomLevelDownButton(this.constructButton(zoomDownButton, ToolbarButton.ZOOM_MINUS));
      pkgData.setMessageOverride(this.constructMessage(pkgXML.getMessages()));
      pkgData.setHelpOverride(this.constructHelpLookupData(pkgXML.getHelpSelection()));
      pkgData.setHelpScreen(this.constructHelpScreen(pkgXML.getHelpButtons()));
      pkgData.setReviewParam(this.constructReview(pkgXML.getReview()));
      List childList = pkgXML.getChildList();
      if(childList != null) {
         Iterator var9 = childList.iterator();

         while(var9.hasNext()) {
            ChildComponentObject child = (ChildComponentObject)var9.next();
            CompDataBase data = this.parseChildComponent(pkgData, child);
            if(data != null) {
               pkgData.addCompList(data);
            }
         }
      }

   }
}
